Skip to main content
POST
/
v1
/
voices
Create voice
curl --request POST \
  --url https://api.boson.ai/v1/voices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ref_audio": "<string>",
  "ref_text": "<string>",
  "description": "<string>"
}
'
{
  "voice": "<string>",
  "ref_text": "<string>",
  "description": "<string>",
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Your Boson API key, sent as Authorization: Bearer $BOSON_API_KEY.

Body

ref_audio
string
required

Reference audio: an http(s) URL, data URI, or base64. Max 10 MB, min 3.0 s.

ref_text
string
required

Transcript of the reference audio.

Minimum string length: 1
description
string | null

Description for the voice.

Response

The created (or existing) voice.

voice
string
required

Stable ID voice_<sha256>, deterministic per (API key, audio content).

ref_text
string
required

Transcript of the reference audio.

description
string | null

Description for the voice.

created_at
string | null

ISO-8601 UTC timestamp.